---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.235
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: router-default-5b76b97bbb-ltvlc
      namespace: openshift-ingress
      resourceVersion: "20679"
      uid: e1b9dafc-81de-4f00-9fe2-2976336b029e
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.89.30
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: router-default-5b76b97bbb-jp2g9
      namespace: openshift-ingress
      resourceVersion: "21132"
      uid: f1813acd-46ae-4e1d-a221-b9c78802a276
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:58Z"
    creationTimestamp: "2022-03-08T10:39:53Z"
    generateName: router-internal-default-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: router-internal-default
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"7932fd7f-ce7e-4190-be82-925ae3f61d24"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:30Z"
    name: router-internal-default-cmw8s
    namespace: openshift-ingress
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: router-internal-default
      uid: 7932fd7f-ce7e-4190-be82-925ae3f61d24
    resourceVersion: "21136"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-ingress/endpointslices/router-internal-default-cmw8s
    uid: 330e8f9a-364e-46a1-a30d-58b8f00d3c84
  ports:
  - name: https
    port: 443
    protocol: TCP
  - name: metrics
    port: 1936
    protocol: TCP
  - name: http
    port: 80
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82505"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-ingress/endpointslices
